Bug 28842 - Missing summary for /items/:item_id/pickup_locations
Summary: Missing summary for /items/:item_id/pickup_locations
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL: https://api.koha-community.org/#opera...
Keywords:
Depends on: 27931 28461
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-11 11:56 UTC by Tomás Cohen Arazi
Modified: 2021-12-13 21:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28842: A summary to the /items/:item_id/pickup_locations route (1.10 KB, patch)
2021-08-11 12:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28842: A summary to the /items/:item_id/pickup_locations route (1.14 KB, patch)
2021-08-12 11:37 UTC, David Nind
Details | Diff | Splinter Review
Bug 28842: A summary to the /items/:item_id/pickup_locations route (1.21 KB, patch)
2021-08-13 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-08-11 11:56:49 UTC
Bug 27931 introduced /items/:item_id/pickup_locations but missed to add the route summary and the top level display title for the 'pickup_locations' tag.
Comment 1 Tomás Cohen Arazi 2021-08-11 12:09:07 UTC
Created attachment 123787 [details] [review]
Bug 28842: A summary to the /items/:item_id/pickup_locations route

This patch simply adds a summary to the route. This will be picked by
the API docs.

It also removes the 'pickup_locations' tag, as we did in bug 28461.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 David Nind 2021-08-12 11:37:48 UTC
Created attachment 123810 [details] [review]
Bug 28842: A summary to the /items/:item_id/pickup_locations route

This patch simply adds a summary to the route. This will be picked by
the API docs.

It also removes the 'pickup_locations' tag, as we did in bug 28461.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-08-12 11:39:41 UTC
Testing notes (koha-testing-docker):

1. Enable RESTPublicAPI system preference.
2. Go to http://127.0.0.1:8080/api/v1/.html
3. Search for getItemPickupLocations
4. Text immediately after should say "This resource is not documented."
5. Apply the patch, flush_memcached, restart_all.
6. Refresh the page.
7. The text should now say "Get valid pickup locations for an item"
Comment 4 Martin Renvoize 2021-08-13 12:46:11 UTC
Created attachment 123824 [details] [review]
Bug 28842: A summary to the /items/:item_id/pickup_locations route

This patch simply adds a summary to the route. This will be picked by
the API docs.

It also removes the 'pickup_locations' tag, as we did in bug 28461.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-08-13 12:46:48 UTC
Nice fix, no typos or spelling issues.

Passing QA
Comment 6 Jonathan Druart 2021-08-16 10:05:25 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Tomás Cohen Arazi 2021-08-31 17:54:57 UTC
Please backport to 21.05.